RK-A2 - Task #3818

Support for questions with only figure for answer
03/18/2025 06:58 AM - Dewakar Chaubey

Status: Review Start date: 03/18/2025
Priority: Urgent Due date:

Assignee: Shubham Boke % Done: 100%
Category: Estimated time: 0.35 hour
Target version: Spent time: 0.00 hour
Description

When we have a question with only answer-figure and no answer text:

Support in colab: We currently do not have a way of generating figures. 1. So, no need for generating choices. 2. create support for
prefix-question-figure-only-answer and prefix-sub-question-figure-only-answer and use these when generating intermediate file.
Support in FE: We currently do not have a way of telling if the answer figure given by the user is correct or not. So, instead of
allowing user to provide the answer, just say "Here's the answer. Would you like a detailed answer anyway?" (with clickable options
yes and no) and provide the answer figure.

History

#1 - 03/18/2025 07:00 AM - Dewakar Chaubey

- Description updated

#2 - 03/18/2025 07:32 AM - Ram Kordale

- Tracker changed from Bug to Task

- Subject changed from Figure is not shown after providing wrong answer to Support for questions with only figure for answer
- Description updated

- Priority changed from Normal to High

#3 - 03/18/2025 08:50 AM - Ram Kordale
- Assignee set to Dumne Vijay

- Estimated time set to 0.25 h

#4 - 03/18/2025 12:33 PM - Ram Kordale
- Description updated

- Estimated time changed from 0.25 h to 0.35 h

#5 - 03/21/2025 02:43 PM - Ram Kordale

- Description updated

#6 - 03/25/2025 05:02 AM - Dumne Vijay
- Status changed from New to In Progress

- % Done changed from 0 to 100

#7 - 03/25/2025 05:05 AM - Dumne Vijay

- Status changed from In Progress to Resolved

#8 - 03/25/2025 05:05 AM - Dumne Vijay

- Assignee changed from Dumne Vijay to Dewakar Chaubey

#9 - 03/25/2025 05:07 AM - Dumne Vijay

- Status changed from Resolved to Review

#10 - 03/25/2025 05:09 AM - Dewakar Chaubey
- Assignee changed from Dewakar Chaubey to Shubham Boke
#11 - 03/25/2025 02:36 PM - Ram Kordale
- Priority changed from High to Urgent
